Create a Fraud configuration for tenant.
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"serviceName": "FRAUD_RELEASE_SERVICE",
"processName": "ORDER_CREATE",
"configuration": {
"conditions": "[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lte\",\n \"type\": \"date\",\n \"value\": [-59, \"SECONDS\"] // now -59 sec\n },\n {\n \"key\": \"type\",\n \"operator\": \"in\",\n \"value\": [\"web\", \"mobile\"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lt\",\n \"type\": \"date\",\n \"value\": [-10, \"MINUTES\"]\n },\n {\n \"key\": \"type\",\n \"operator\": \"is\",\n \"value\": \"postman\"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
}
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config"
payload = {
"serviceName": "FRAUD_RELEASE_SERVICE",
"processName": "ORDER_CREATE",
"configuration": { "conditions": "[ // OR BLOCK START
[ // AND BLOCK STARTS
{
\"key\": \"orderDate\",
\"operator\": \"lte\",
\"type\": \"date\",
\"value\": [-59, \"SECONDS\"] // now -59 sec
},
{
\"key\": \"type\",
\"operator\": \"in\",
\"value\": [\"web\", \"mobile\"]
}
], // AND BLOCK END
[ // AND BLOCK STARTS
{
\"key\": \"orderDate\",
\"operator\": \"lt\",
\"type\": \"date\",
\"value\": [-10, \"MINUTES\"]
},
{
\"key\": \"type\",
\"operator\": \"is\",
\"value\": \"postman\"
}
] // AND BLOCK ENDS
] // OR BLOCK ENDS
" }
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
serviceName: 'FRAUD_RELEASE_SERVICE',
processName: 'ORDER_CREATE',
configuration: {
conditions: '[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n "key": "orderDate",\n "operator": "lte",\n "type": "date",\n "value": [-59, "SECONDS"] // now -59 sec\n },\n {\n "key": "type",\n "operator": "in",\n "value": ["web", "mobile"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n "key": "orderDate",\n "operator": "lt",\n "type": "date",\n "value": [-10, "MINUTES"]\n },\n {\n "key": "type",\n "operator": "is",\n "value": "postman"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n'
}
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceName": "FRAUD_RELEASE_SERVICE",
"processName": "ORDER_CREATE",
"configuration": {
"conditions": "[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lte\",\n \"type\": \"date\",\n \"value\": [-59, \"SECONDS\"] // now -59 sec\n },\n {\n \"key\": \"type\",\n \"operator\": \"in\",\n \"value\": [\"web\", \"mobile\"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lt\",\n \"type\": \"date\",\n \"value\": [-10, \"MINUTES\"]\n },\n {\n \"key\": \"type\",\n \"operator\": \"is\",\n \"value\": \"postman\"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
},
"tenantId": "asferf3r4safasdcd"
}{
"message": "Bad Request"
}{
"message": "Configuration not found for tenant."
}{
"message": "Fraud Configuration already exists for the tenant"
}{
"message": "Internal Server Error"
}Fraud Configuration
Create a Fraud configuration for tenant.
Create Fraud configuration for the given tenantId
POST
/
configurations
/
fraud-config
Create a Fraud configuration for tenant.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Was this page helpful?
⌘I
